%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.sqla

Name:           python-tw2-sqla
Version:        2.0.0
Release:        1%{?dist}
Summary:        SQLAlchemy database layer for ToscaWidgets2

Group:          Development/Languages
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

# For building
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-tw2-core
BuildRequires:  python-tw2-forms
BuildRequires:  python-tw2-dynforms
BuildRequires:  python-sqlalchemy
BuildRequires:  python-zope-sqlalchemy

# For tests
BuildRequires:  python-nose
BuildRequires:  python-formencode
BuildRequires:  python-BeautifulSoup
BuildRequires:  python-strainer
BuildRequires:  python-webtest
BuildRequires:  python-elixir

# Templates for the test suite
BuildRequires:  python-genshi
BuildRequires:  python-mako
BuildRequires:  python-turbokid
BuildRequires:  python-turbocheetah

# Runtime requirements
Requires:  python-tw2-forms
Requires:  python-tw2-dynforms
Requires:  python-sqlalchemy
Requires:  python-zope-sqlalchemy

%description
tw2.sqla is a database layer for ToscaWidgets 2 and SQLAlchemy. It allows common
database tasks to be achieved with minimal code.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%check
PYTHONPATH=$(pwd) python setup.py test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Apr 11 2012 Ralph Bean <rbean@redhat.com> - 2.0.0-1
- Initial packaging for Fedora
